commit:     f9de5249f7854a5d06ec2a43e3c631ca1542b594
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 25 22:04:48 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Jul 25 23:05:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9de5249

dev-cpp/simpleini: new package, add 4.19

Header-only package for games-engines/devilutionx.

Some distributions and former (treecleaned) ::guru package make it
into a shared library, but would rather not invent anything the build
system doesn't handle.

Skipping ConvertUTF.* given this is a generic header and it doesn't
make much sense to be provided by this package. Shared library would
simplify this given could build-in along with ConvertUTF.c, but it's
still possible to have ICU handle it and devilutionx currently disable
conversion altogether (can revisit as needed).

Currently also no pkg-config files nor particularly standard way to
look for it either, but simple /usr/include/SimpleIni.h is easy to
handle+unique and devilutionx finds it (it also looks for simpleini.pc
even though upstream doesn't provide it, for future use)

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-cpp/simpleini/Manifest              |  1 +
 dev-cpp/simpleini/metadata.xml          | 11 +++++++++
 dev-cpp/simpleini/simpleini-4.19.ebuild | 40 +++++++++++++++++++++++++++++++++
 3 files changed, 52 insertions(+)

diff --git a/dev-cpp/simpleini/Manifest b/dev-cpp/simpleini/Manifest
new file mode 100644
index 000000000000..36c11c57d1cb
--- /dev/null
+++ b/dev-cpp/simpleini/Manifest
@@ -0,0 +1 @@
+DIST simpleini-4.19.tar.gz 62793 BLAKE2B 
f32a25743c89f954a0b1cce2cb29584d63083922b9b56d91b39412617067f7316ecb897474a7f3a4d550569a0d007e51780d3532079966a7ba72e2b89ff5a5cc
 SHA512 
3f0f3120aca3350bab66fe1727f4d15536d933a0840a17b49203c2220fab7ace4383d856c1b77a84f4e36c9a5df0c3eb937ad729c977f84e7163d7e2cff400c5

diff --git a/dev-cpp/simpleini/metadata.xml b/dev-cpp/simpleini/metadata.xml
new file mode 100644
index 000000000000..3d8641a5fa36
--- /dev/null
+++ b/dev-cpp/simpleini/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>ga...@gentoo.org</email>
+               <name>Gentoo Games Project</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">brofield/simpleini</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-cpp/simpleini/simpleini-4.19.ebuild 
b/dev-cpp/simpleini/simpleini-4.19.ebuild
new file mode 100644
index 000000000000..acd530cf090e
--- /dev/null
+++ b/dev-cpp/simpleini/simpleini-4.19.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="C++ library providing a simple API to read and write INI-style 
files"
+HOMEPAGE="https://github.com/brofield/simpleini/";
+SRC_URI="https://github.com/brofield/simpleini/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-cpp/gtest )"
+BDEPEND="test? ( virtual/pkgconfig )"
+
+src_compile() {
+       if use test; then
+               append-cppflags $($(tc-getPKG_CONFIG) --cflags gtest_main || 
die)
+               append-ldflags $(test-flags-CCLD -pthread)
+               append-libs $($(tc-getPKG_CONFIG) --libs gtest_main || die)
+               local emakeargs=(
+                       {CC,CXX}="$(tc-getCXX)"
+                       CXXFLAGS="${CXXFLAGS}"
+                       CPPFLAGS="${CPPFLAGS}"
+                       LDFLAGS="${LDFLAGS} ${LIBS}"
+               )
+               emake -C tests "${emakeargs[@]}"
+       fi
+}
+
+src_install() {
+       # note: skipping ConvertUTF, can use -DSI_CONVERT_ICU instead if needed
+       doheader SimpleIni.h
+       einstalldocs
+}

Reply via email to